## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryChangeStatementImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryStatementImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.QueryChangeStatementImpl

All Implemented Interfaces:
  QueryChangeStatement, QueryStatement, SQLQueryObject, SQLObject, SQLDataChangeStatement, SQLDataStatement, SQLStatement

Direct Known Subclasses:
  QueryDeleteStatementImpl, QueryInsertStatementImpl, QueryMergeStatementImpl, QueryUpdateStatementImpl

    public abstract class QueryChangeStatementImpl

extends QueryStatementImpl
implements QueryChangeStatement

An implementation of the model object 'Change Statement'.

Method Summary

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryStatementImpl
`getSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.